function onTalk()
	local location = ""
	local hasgolden = getFlag("flag_golden")
	if arguments and type(arguments) == 'string' then
		location = arguments
	end
	if hasgolden == true then
		wait(0.2)
		teleport(232, 152, "GymHub")
		endCutscene()
	end
	disableMovement()
	choiceDialog({
	{
		"Violet_HardlistGyms_Close",
		onChosen = function ()
				closeChoiceDialog()
		end
	},
	{
		"Violet_HardlistGyms_Hub",
		onChosen = function ()
				teleport(232, 152, "GymHub")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Dashless_loc_0",
		requires =
		function ()
			if location == "Dashless_0" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(120, 288, "DashlessTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Dashless_loc_1",
		requires =
		function ()
			if location == "Dashless_1" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(432, 288, "DashlessTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Dashless_loc_2",
		requires =
		function ()
			if location == "Dashless_2" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(888, 288, "DashlessTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Dashless_loc_3",
		requires =
		function ()
			if location == "Dashless_3" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1072, 288, "DashlessTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Dashless_loc_4",
		requires =
		function ()
			if location == "Dashless_4" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1320, 144, "DashlessTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Dashless_loc_5",
		requires =
		function ()
			if location == "Dashless_5" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1320, 52, "DashlessTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Dashless_loc_6",
		requires =
		function ()
			if location == "Dashless_6" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1500, 288, "DashlessTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Dashless_loc_7",
		requires =
		function ()
			if location == "Dashless_7" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(1824, 288, "DashlessTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Dashless_loc_8",
		requires =
		function ()
			if location == "Dashless_8" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(2170, 288, "DashlessTech")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Dashless_loc_9",
		requires =
		function ()
			if location == "Dashless_9" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(560, 288, "DashlessTech2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Dashless_loc_10",
		requires =
		function ()
			if location == "Dashless_10" then
				return false
			end
			return true
		end,
		onChosen = function ()
				teleportTo(850, 288, "DashlessTech2")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	},
	{
		"Violet_PlusOneGym_Dashless_loc_11",
		requires =
		function ()
			if location == "Dashless_11" then
				return false
			end
			return true
		end,
		onChosen = function ()
				changeRoom("SpikeClip")
		end,
		onEnd = function ()
                closeChoiceDialog()
		end
	}
	})
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
